import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { DevopsSwitchRds } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-07 14:30
 */
interface DevopsSwitchRdsCU extends ConditionUtil<DevopsSwitchRdsCU>{
    ID:FieldUtil<DevopsSwitchRdsCU>;
    RDS_CODE:FieldUtil<DevopsSwitchRdsCU>;
    RDS_NAME:FieldUtil<DevopsSwitchRdsCU>;
    SWITCH_TIME:FieldUtil<DevopsSwitchRdsCU>;
    REMARK:FieldUtil<DevopsSwitchRdsCU>;
    CREATE_TIME:FieldUtil<DevopsSwitchRdsCU>;
    UPDATE_TIME:FieldUtil<DevopsSwitchRdsCU>;
    CLOUD_PLATFORM:FieldUtil<DevopsSwitchRdsCU>;
}

class DevopsSwitchRdsCUImpl extends ConditionUtilImpl<DevopsSwitchRdsCUImpl> implements DevopsSwitchRdsCU{ 
    newInstance(): DevopsSwitchRdsCUImpl {
        return new DevopsSwitchRdsCUImpl();
    } 
    get ID(): FieldUtil<DevopsSwitchRdsCU>{  
        return new FieldUtil('ID','id','主键', this);
    }
    get RDS_CODE(): FieldUtil<DevopsSwitchRdsCU>{  
        return new FieldUtil('RDS_CODE','rdsCode','rds编码', this);
    }
    get RDS_NAME(): FieldUtil<DevopsSwitchRdsCU>{  
        return new FieldUtil('RDS_NAME','rdsName','rds名称', this);
    }
    get SWITCH_TIME(): FieldUtil<DevopsSwitchRdsCU>{  
        return new FieldUtil('SWITCH_TIME','switchTime','切换时间', this);
    }
    get REMARK(): FieldUtil<DevopsSwitchRdsCU>{  
        return new FieldUtil('REMARK','remark','描述', this);
    }
    get CREATE_TIME(): FieldUtil<DevopsSwitchRdsCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<DevopsSwitchRdsCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
    get CLOUD_PLATFORM(): FieldUtil<DevopsSwitchRdsCU>{  
        return new FieldUtil('CLOUD_PLATFORM','cloudPlatform','云平台（1阿里云、2华为云）', this);
    }
}

@Singleton 
class DevopsSwitchRdsMU extends TableUtilImpl<DevopsSwitchRdsCU,DevopsSwitchRds>{ 
    tableName  = 'devops_switch_rds';
    tableFields  = ['id','rds_code','rds_name','switch_time','remark','create_time','update_time','cloud_platform'];
    modelFields  = ['id','rdsCode','rdsName','switchTime','remark','createTime','updateTime','cloudPlatform'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): DevopsSwitchRdsCU {
        return new DevopsSwitchRdsCUImpl();
    }   

    static get ID(): FieldUtil<DevopsSwitchRdsCU>{ 
        return new FieldUtil('ID','id','主键', new DevopsSwitchRdsCUImpl());
    }
    static get RDS_CODE(): FieldUtil<DevopsSwitchRdsCU>{ 
        return new FieldUtil('RDS_CODE','rdsCode','rds编码', new DevopsSwitchRdsCUImpl());
    }
    static get RDS_NAME(): FieldUtil<DevopsSwitchRdsCU>{ 
        return new FieldUtil('RDS_NAME','rdsName','rds名称', new DevopsSwitchRdsCUImpl());
    }
    static get SWITCH_TIME(): FieldUtil<DevopsSwitchRdsCU>{ 
        return new FieldUtil('SWITCH_TIME','switchTime','切换时间', new DevopsSwitchRdsCUImpl());
    }
    static get REMARK(): FieldUtil<DevopsSwitchRdsCU>{ 
        return new FieldUtil('REMARK','remark','描述', new DevopsSwitchRdsCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<DevopsSwitchRdsCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new DevopsSwitchRdsCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<DevopsSwitchRdsCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new DevopsSwitchRdsCUImpl());
    }
    static get CLOUD_PLATFORM(): FieldUtil<DevopsSwitchRdsCU>{ 
        return new FieldUtil('CLOUD_PLATFORM','cloudPlatform','云平台（1阿里云、2华为云）', new DevopsSwitchRdsCUImpl());
    }

    get ID(): FieldUtil<DevopsSwitchRdsCU>{ 
        return DevopsSwitchRdsMU.ID;
    }
    get RDS_CODE(): FieldUtil<DevopsSwitchRdsCU>{ 
        return DevopsSwitchRdsMU.RDS_CODE;
    }
    get RDS_NAME(): FieldUtil<DevopsSwitchRdsCU>{ 
        return DevopsSwitchRdsMU.RDS_NAME;
    }
    get SWITCH_TIME(): FieldUtil<DevopsSwitchRdsCU>{ 
        return DevopsSwitchRdsMU.SWITCH_TIME;
    }
    get REMARK(): FieldUtil<DevopsSwitchRdsCU>{ 
        return DevopsSwitchRdsMU.REMARK;
    }
    get CREATE_TIME(): FieldUtil<DevopsSwitchRdsCU>{ 
        return DevopsSwitchRdsMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<DevopsSwitchRdsCU>{ 
        return DevopsSwitchRdsMU.UPDATE_TIME;
    }
    get CLOUD_PLATFORM(): FieldUtil<DevopsSwitchRdsCU>{ 
        return DevopsSwitchRdsMU.CLOUD_PLATFORM;
    }
}
export {DevopsSwitchRdsMU, DevopsSwitchRdsCU}
